ProxyVisitor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class ProxyVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor
          org.hibernate.event.internal.ProxyVisitor

Direct Known Subclasses:
  ReattachVisitor, WrapVisitor

    public abstract class ProxyVisitor

extends AbstractVisitor

Reassociates uninitialized proxies with the session

Constructor Summary
`ProxyVisitor(EventSource session)`

Method Summary
`protected static boolean` | `isOwnerUnchanged(PersistentCollection snapshot, CollectionPersister persister, Serializable id)` Has the owner of the collection changed since the collection was snapshotted and detached?
`protected void` | `reattachCollection(PersistentCollection collection, CollectionType type)` Reattach a detached (disassociated) initialized or uninitialized collection wrapper, using a snapshot carried with the collection wrapper

Methods inherited from class org.hibernate.event.internal.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyVisitor

    public ProxyVisitor(EventSource session)

Method Detail

### isOwnerUnchanged

    protected static boolean isOwnerUnchanged(PersistentCollection snapshot,
                                              CollectionPersister persister,
                                              Serializable id)

  Has the owner of the collection changed since the collection was snapshotted and detached?

### reattachCollection

    protected void reattachCollection(PersistentCollection collection,
                                      CollectionType type)
                               throws HibernateException

  Reattach a detached (disassociated) initialized or uninitialized collection wrapper, using a snapshot carried with the collection wrapper

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.